<!-- 
04/10/2025
ROASTART - 2.2.10

:modificare:
  Corectare afisare mesaje de atentionare.
-->

<!-- 
25/07/2025
ROASTART - 2.2.9

:eroare:
  S-a rezolvat o eroare la crearea unei firme noi.
-->

<!-- 
19/03/2024
ROASTART - 2.2.8

:modificare:
  S-a schimbat metoda de dezarhivare a versiunilor noi de programe. Dezarhivarea nu functiona in anumite cazuri.
-->

<!-- 
13/09/2022
ROASTART - 2.2.7

:modificare:
  Se pot crea firme cu anul de initializare 2022.
-->

<!-- 
10/09/2019
ROASTART - 2.2.6

:modficare:
  Modificari interne.
-->

<!-- 
05/08/2019
ROASTART - 2.2.5

:modificare:
  S-a schimbat fontul din Arial Narrow 9, in Arial 10 in formularul de conectare la baza de date.
-->

<!-- 
24/11/2016
ROASTART - 2.2.4

:modificare:
  Nu se mai actualizeaza programul "romfast suport" de pe serverul romfast.ro la lansarea roastart.exe
-->

<!-- 
25/06/2015
ROASTART - 2.2.3

:nou:
  S-a introdus o optiune de simulare a activitatii pe serverul Oracle pentru cazurile in care sistemul de operare/firewallul inchide conexiunile inactive.
-->

<!-- 
28/04/2015
ROASTART - 2.2.2

:nou:
  RTVAI: Pe serverul ROA se importa zilnic Registrul TVA Incasare de pe serverul ANAF.

  In partea stanga-jos, langa data ultimei actualizari ROA, apare si data ultimei actualizari RTVAI.

  Baza de date RTVAI din ROA este folosita de aplicatiile ROA la alegerea furnizorilor pentru facturile de achizitie.
-->

<!-- 
06/11/2014
ROASTART - 2.2.1

:eroare:
  S-a corectat o eroare la afisarea progresului la crearea unei firme noi.
-->

<!-- 
04/09/2014
ROASTART - 2.2.0

:nou:
  S-a implementat un mecanism de monitorizare si control a procesului de actualizare automata server ROA.

  In partea stanga-jos apare starea ultimei actualizari (Succes, Eroare, In curs de executie).

  Utilizatorii cu rol de administrare pot sa lanseze manual procesul de actualizare pe serverul ROA.
-->

<!-- 
22/05/2014
ROASTART - 2.1.9

:eroare:
  S-a corectat o eroare la lansarea ROASTART.
-->

<!-- 
21/05/2014
ROASTART - 2.1.8

:modificare:
  La lansarea ROASTART se actualizeaza automat aplicatia "Romfast Suport Tehnic" in directorul ROA.
-->

<!-- 
24/02/2014
ROASTART - 2.1.7

:modificari:
 Modificari interne la iesirea din aplicatie.

:eroare:
 Daca se alegea optiunea "Iesire" din meniul din systray, atunci aparea un mesaj de eroare. A fost corectata problema.
-->

<!-- 
20/02/2014
ROASTART - 2.1.6

:eroare:
 A fost rezolvata problema de la minimizarea programului in systray.
-->

<!-- 
13/02/2014
ROASTART - 2.1.5

:modificare:
 Apare din nou iconita ROASTART in bara aplicatiei.

:modificare:
 Modificari interne
-->

<!-- 
18/07/2013
ROASTART - 2.1.4

:nou:
 Au fost adaugate pictogramele pentru programul ROADEVIZE.
-->

<!-- 
13/03/2013
ROASTART - 2.1.3

:modificare:
  S-a corectat o problema cu iconita din systray la minimizarea aplicatiei.
-->

<!-- 
11/03/2013
ROASTART - 2.1.3

:modificare:
  S-a marit perioada de Timeout la actualizarea programelor.
-->

<!-- 
24/09/2012
ROASTART - 2.1.2

:modificare:
 Modificari interne la scrierea logurilor.
-->

<!-- 
04/07/2012
ROASTART - 2.1.1

:nou:
  Arhivele cu programele noi au extensia .zip.

:eroare:
  A fost corectata problema de la stergerea fisierelor temporare dupa actualizarea programelor.
-->

<!-- 
21/06/2012
ROASTART - 2.1.0

:nou:
  La introducerea unei firme noi se va creeaza automat si structura fizica a firmei in baza de date.

:nou:
  S-a introdus conceptul de utilizator ADMIN. Acest utilizator are acces la toate operatiile legate de firme, roluri, utilizatori.
-->

<!-- 
07/05/2012
ROASTART - 2.0.33

:modificare:
  A fost modificat mesajul care apare la minimizarea aplicatiei ca sa contina si referiri la modificarile din versiunea 2.0.32 : "Faceti dublu-click pentru maximizare! Faceti click dreapta pentru acces la lansarea rapida a programelor!".
-->

<!-- 
02/05/2012
ROASTART - 2.0.32

:nou:
  Se pot lansa programele din meniul care apare la apasarea butonului dreapta al mouse-ului pe iconita ROASTART din tray.
  Pe langa grupurile de programe pe care are dreptul utilizatorul respectiv, meniul mai contine doua optiuni : cea in care apare numele utilizatorului conectat este folosita pentru logarea cu un alt utilizator si optiunea de iesire din ROASTART.
-->

<!-- 
11/08/2011
ROASTART - 2.0.31

:nou:
 La "Initializari > Firme" se pot modifica doar informatiile de la "Este grup", "Grup parinte" si "Schema". Restul datelor pot fi modificate doar din programul "Definirea companiei" ( optiunea "Organizarea companiei > Datele firmei" ).

:nou:
 Au fost actualizate iconitele programelor "Venituri din activitati independente" si "Definitii salarizare"

:nou:
 Au fost adaugate diacriticele in interfata.
-->

<!-- 
18/06/2010
ROASTART - 2.0.30

:modificare:
  Modificari interne pentru citirea caii de actualizare din retea ( in cazul in care nu avea "\" la sfarsit ).
-->

<!-- 
16/12/2009
ROASTART - 2.0.29

:nou:
  Se retine ultimul server la care s-a conectat utilizatorul pentru a fi selectat automat la urmatoarea pornire.

:nou:
  Au fost incluse pictogramele pentru programele noi din ROA.

:modificare:
  A fost modificata transmiterea cailor catre updater.exe .

:modificare:
  Daca nu exista definite nicio asociere intre versiunile de programe si firme, atunci nu este activata optiunea "Verifica actualizari".

:modificare:
  Modificari interne.

:eroare:
  A fost corectata eroarea de la apasarea butonului "Renunta".

:eroare:
  A fost corectata eroarea care aparea cand nu existau servere definite.

:eroare:
  Atunci cand se facea dublu click pe iconita din tray, uneori aparea aplicatia mai mare decat initial. A fost corectata problema.
-->

<!-- 
16/09/2009
ROASTART - 2.0.28

:eroare:
  S-a corectat o eroare la dezarhivarea fisierelor din directorul ROACLIENT\COMUNROA.
-->

<!--
08/07/2009
ROASTART - 2.0.27

:eroare:
  Pentru utilizatorii cu drepturi de administrare si care nu aveau drept pe vreun program, se suprapunea meniul din stanga cu optiunile de actualizare.
-->

<!-- 
06/07/2009
ROASTART - 2.0.26

:modificare:
  La "Grupuri > Drepturi pe programe", a fost adaugata bifa "Se propaga drepturile pe acest program si la copiii acestui grup?".

:modificare:
  Nu se pot sterge utilizatorii "ADMIN","SERVER", "SUPER" si "SUPERVIZOR".

:modificare:
  A fost modificata fereastra de la "Utilizatori > Modificare drepturi validari" ca sa nu mai apara in interiorul ferestrei principale.

:modificare:
  Modificari interne.

:eroare:
  A fost corectata actualizarea programelor pentru cazul in care calea locala continea spatii.

:eroare:
  Au fost corectate erorile de la "Initializari > Informatii programe", "Grupuri > Informatii grupuri" si "Utilizatori > Informatii utilizatori".
-->

<!-- 
03/06/2009
ROASTART - 2.0.25

:eroare:
  S-a corectat o eroare la modificarea drepturilor pe obiectele unui program.
-->

<!-- 
01/06/2009
ROASTART - 2.0.24

:eroare:
  S-a corectat o eroare la minimizarea aplicatiei in systray.
-->

<!--
30/04/2009
ROASTART - 2.0.23

:modificare:
  Dupa ce utilizatorul a fost autentificat, daca se minimizeaza aplicatia, aceasta nu mai apare in bara de lucru, ci in tray. Daca se face dublu-click pe iconita din tray, atunci se va maximiza aplicatia.

:modificare:
  Modificari la afisarea programelor : numarul programelor vizibile intr-un grup, fara a fi nevoie de derulare, este egal cu numarul maxim de programe din grupuri, dar nu mai mult de 6.

:modificare:
  La apasarea tastei F2 se paraseste aplicatia.
  La apasarea combinatiei de taste CTRL + A, apare fereastra de configurare a actualizarilor.

:eroare:
  A fost corectata eroarea de actualizare a programelor din ROASTART.xml atunci cand este setata parola pe server.

:eroare:
  A fost corectata afisarea mesajelor de actualizare ca sa nu se mai suprapuna cu numele grupurilor de programe.

:modificare:
  Modificari interne.
-->

<!--
10/03/2009
ROASTART - 2.0.22

:modificare:
  Modificari interne la apelarea updater.exe.
-->

<!--
27/02/2009
ROASTART - 2.0.21

:modificare:
  Modificari interne privind actualizarea programelor.S-a modificat structura fisierelor Xml de actualizare. 
-->

<!-- 
19/01/2009
ROASUPORT - 2.0.19

:modificare:
  Modificari interne privind traducerea in limba engleza.
-->

<!-- 
24/12/2008
ROASTART - 2.0.18

:modificare:
  La intrarea in Roastart se alege implicit limba Romana.
-->

<!-- 
19/12/2008
ROASTART - 2.0.17

:nou:
  La intrarea in Roastart se poate alege limba Romana sau Engleza pentru traducerea automata a meniurilor si etichetelor din programe.
-->

<!-- 
12/12/2008
ROASTART - 2.0.16

:modificare:
  Fereastra pentru verificarea actualizarilor este vizibila in totalitate chiar daca fereastra aplicatiei are dimensiunile mai mici decat aceasta.
-->

<!-- 
21/11/2008
ROASTART - 2.0.15

:nou:
  Initializari -Firme- Modificare Firma . Se poate modifica o firma.
-->

<!-- 
24/10/2008
ROASTART - 2.0.14

:modificare:
  Fisierele comune au fost mutate in directorul COMUNROA si se actualizeaza inainte de lansarea ferestrei de autentificare.
-->

<!-- 
08/09/2008
ROASTART - 2.0.13

:modificare:
  A fost modificata comparatia dintre versiunea curenta si cea care exista pe server ( Daca versiunea curenta era 1.0.10, iar cea de pe server 1.0.100, nu se mai facea actualizarea ).
-->

<!-- 
16/08/2008
ROASTART - 2.0.12

:modificare:
  Modificari interne.
-->

<!-- 
16/08/2008
ROASTART - 2.0.12

:modificare:
  Modificari interne.
-->

<!-- 
16/07/2008
ROASTART - 2.0.11

:modificare:
  Modificari interne.
-->

<!-- 
15/07/2008
ROASTART - 2.0.10

:modificare:
  A fost modificata modalitatea de selectie a serverului de actualizari. Apar doar serverele de pe firmele la care are acces utilizatorul.
-->

<!-- 
27/06/2008
ROASTART - 2.0.9

:modificare:
  A fost modificat criteriul de ordonare pentru lista cu versiuni de pe un server.
-->

<!-- 
27/06/2008
ROASTART - 2.0.8

:modificare:
  Modificari interne.
-->

<!-- 
26/06/2008
ROASTART - 2.0.7

:modificare:
  Modificari interne.
-->

<!-- 
26/06/2008
ROASTART - 2.0.6

:modificare:
  In cazul in care exista mai multe versiuni de programe ce ruleaza pe acelasi server, deasupra optiunii "Config actualizari" va aparea o lista cu numele reprezentative pentru fiecare versiune in parte.

:modificare:
  Modificari interne.
-->

<!-- 
06/06/2008
ROASTART - 2.0.5

:modificare:
  * S-au rezolvat neregulile la actualizarea de pe serverele http
  * S-au completat actiunile in log
-->

<!-- 
02/06/2008
ROASTART - 2.0.4

:modificare:
  * S-au completat actiunile de actualizare a aplicatiei in log
-->

<!-- 
12/05/2008
ROASTART - 2.0.2

:modificare:
  Locatii diferite ale noilor versiuni de programe diferentiate in functie de serverul la care este conectat clientul.
-->

<!-- 
10/03/2008
ROASTART - 2.0.1

:nou:
  Au fost adaugate listari la "Grupuri > Drepturi pe programe" si "Utilizatori > Definire roluri".
-->

<!-- 
07/02/2008
ROASTART - 2.0.0

:nou:
  Se pot defini firmele ca grupuri de firme si/sau sucursale.
  S-a modificat formularul de initializare firme astfel incat sa se poata configura grupurile de firme si sucursalele.
-->

<!-- 
20/12/2007
ROASTART - 1.0.21

:modificare:
  Modificari interne
-->
<!-- 
12/12/2007
ROASTART - 1.0.20

:modificare:
  Modificari interne
-->

<!-- 
10/12/2007
ROASTART - 1.0.19

:modificare:
  Modificari interne
-->

<!-- 
20/11/2007
ROASTART - 1.0.18

:modificare:
  Modificari interne
-->

<!-- 
16/11/2007
ROASTART - 1.0.17

:nou:
  In pagina "Utilizatori > Modificare drepturi validari" se pot configura drepturile utilizatorilor pentru autovalidarea si validarea inregistrarilor.
-->

<!-- 
09/11/2007
ROASTART - 1.0.16


-->

<!-- 
25/10/2007
ROASTART - 1.0.15


-->

<!-- 
23/10/2007
ROASTART - 1.0.14
:modificare:
  Se poate configura utilizatorul si parola pentru serverul web pentru actualizari

-->

<!-- 
04/10/2007
ROASTART - 1.0.13

:modificare: 
  se actualizeaza manualul aplicatiei
-->
<!-- 
03/10/2007
ROASTART - 1.0.12

:modificare: 
  s-au tratat erorile de copiere la actualizare.
-->

<!-- 
26/09/2007
ROASTART - 1.0.11

:nou:
  Aplicatia Roastart se instaleaza pe calculatoarele client si actualizeaza automat celelalte module dintr-o cale de retea sau din internet.
-->

<!--
15/08/2007
ROASTART-1.0.10

:nou:
 Iconite pentru ROAREGISTRATURA.
-->

<!--
05/04/2007
ROASTART-1.0.9

:nou:
 Iconite pentru ROAREPARTIZSAL.
-->

<!--
27/03/2007
ROASTART-1.0.8

:modificare:
  A fost scoasa optiunea "Licentiere programe" din "Initializari".
-->

<!--
01/02/2007
ROASTART-1.0.7

:modificare:
 In fereastra de autentificare, dupa alegerea serverului din lista, va aparea textul "CONECTAT" in cazul in care programul s-a conectat la server sau "NECONECTAT" altfel.

:modificare:
 Modificari interne.
-->

<!--
04/10/2006
ROASTART-1.0.6

:modificare:
 Pot fi adaugate fara erori programele de Contracte Clienti si Contracte Facturare in grupul de favorite.
-->

<!--
25/09/2006
ROASTART-1.0.5

:modificare:
 Dialogurile cu mesaje de atentionare nu mai apar in spatele ferestrei principale.
-->

<!--
15/09/2006
ROASTART-1.1.470

:modificare:
 Modificari interne
-->

<!--
19/06/2006
ROASTART-1.1.469

:nou:
 Iconita pentru ROASTART in bara de titlu.
-->

<!--
19/06/2006
ROASTART-1.1.468

:nou:
 Iconite pentru ROAPRODUCTIE, ROAFACTURARE, ROACOMENZI, ROACONTRACTE.
-->

<!--
19/06/2006
ROASTART-1.1.467

:nou:
 Iconita pentru ROAPRETURI.
-->

<!--
19/06/2006
ROASTART-1.1.465

:nou:
 Butoanele de la mesajele informative,de erori si de la confirmari sunt in limba romana.
-->